%if ! (0%{?fedora} > 12 || 0%{?rhel} > 5)
%{!?python_sitelib: %global python_sitelib %(%{__python} -c "from distutils.sysconfig import get_python_lib; print(get_python_lib())")}
%{!?python_sitearch: %global python_sitearch %(%{__python} -c "from distutils.sysconfig import get_python_lib; print(get_python_lib(1))")}
%endif

Name:           python-yamlish
Version:        0.18
Release:        1%{?dist}
Summary:        Python implementation of YAMLish

License:        MIT
URL:            http://github.com/mcepl/yamlish
Source0:        https://pypi.python.org/packages/source/y/yamlish/yamlish-%{version}.tar.gz

BuildArch:      noarch

Requires:       PyYAML
BuildRequires:  PyYAML
BuildRequires:  python2-devel
BuildRequires:  python-setuptools

%description
Python implementation of YAMLish

%prep
%setup -qn yamlish-%{version}

%build
%{__python2} setup.py build

%check
%{__python2} setup.py test

%install
%{__python2} setup.py install --skip-build --root %{buildroot}

%files
%doc README.rst
%{python_sitelib}/yamlish.*
%{python_sitelib}/*.egg-info

%changelog
* Thu Apr 16 2015 Tim Flink <tflink@fedoraproject.org> - 0.18.0-1
- speed improvements
- latest upstream

* Fri Aug 22 2014 Tim Flink <tflink@fedoraproject.org> - 0.14.0-1
- new upstream location
- corrected handling of UTF8 input

* Fri Jun 13 2014 Tim Flink <tflink@fedoraproject.org> - 0.13.0-2
- readme filename changed

* Fri Jun 13 2014 Tim Flink <tflink@fedoraproject.org> - 0.13.0-1
- fix logging usage according to Python docs

* Mon Apr 14 2014 Tim Flink <tflink@fedoraproject.org> - 0.10.0-1
- initial packaging
